Page MenuHomePhabricator

Decommission db1029 and db1031
Closed, ResolvedPublic

Description

Hosts to retire:

  • db1029
  • db1031
  • Ops steps
  • DC ops
    • Disable puppet on host
    • Remove all remaining puppet references (include role::spare:system)
    • Power down host
    • Disable switch port
    • Switch port assignment noted on this task (for later removal)
    • Remove production dns entries
    • Puppet node clean, puppet node deactivate
  • Decommission
    • System disks wiped (by onsite)
    • System unracked and decommissioned (by onsite), update racktables with result
    • Switch port configration removed from switch once system is unracked.
    • Mgmt dns entries removed.

Details

Related Gerrit Patches:
operations/puppet : productiondecommission db1029 and db1030
operations/puppet : productionmariadb: Decommission db1031
operations/software : mastermariadb: Remove references to db1031
operations/dns : mastermariadb: Point x1-master.eqiad.wmnet to db1055
operations/dns : mastermariadb: Point x1-slave.eqiad.wmnet to db1056
operations/puppet : productionmariadb: Set db1029 as a spare and ready to decommission

Related Objects

Event Timeline

jcrespo triaged this task as Medium priority.Jan 3 2018, 10:21 AM
jcrespo created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 3 2018, 10:21 AM

Change 401708 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/puppet@production] mariadb: Set db1029 as a spare and ready to decommission

https://gerrit.wikimedia.org/r/401708

Change 401711 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/dns@master] mariadb: Point x1-slave.eqiad.wmnet to db1056

https://gerrit.wikimedia.org/r/401711

Change 401712 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/dns@master] mariadb: Point x1-master.eqiad.wmnet to db1055

https://gerrit.wikimedia.org/r/401712

Marostegui moved this task from Triage to In progress on the DBA board.Jan 3 2018, 10:37 AM

Change 401708 merged by Jcrespo:
[operations/puppet@production] mariadb: Set db1029 as a spare and ready to decommission

https://gerrit.wikimedia.org/r/401708

Change 401711 merged by Jcrespo:
[operations/dns@master] mariadb: Point x1-slave.eqiad.wmnet to db1056

https://gerrit.wikimedia.org/r/401711

Change 401712 merged by Jcrespo:
[operations/dns@master] mariadb: Point x1-master.eqiad.wmnet to db1055

https://gerrit.wikimedia.org/r/401712

jcrespo claimed this task.Jan 16 2018, 9:05 AM
jcrespo updated the task description. (Show Details)

We will wait some days before going on, to make sure the new masters work as intended/no errors/no data loss.

Change 405276 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/software@master] mariadb: Remove references to db1031

https://gerrit.wikimedia.org/r/405276

jcrespo updated the task description. (Show Details)Jan 19 2018, 11:53 AM

Change 405278 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/puppet@production] mariadb: Decommission db1031

https://gerrit.wikimedia.org/r/405278

Change 405276 merged by Jcrespo:
[operations/software@master] mariadb: Remove references to db1031

https://gerrit.wikimedia.org/r/405276

Change 405278 merged by Jcrespo:
[operations/puppet@production] mariadb: Decommission db1031

https://gerrit.wikimedia.org/r/405278

jcrespo updated the task description. (Show Details)
Restricted Application added a project: Operations. · View Herald TranscriptJan 19 2018, 12:26 PM
jcrespo reassigned this task from jcrespo to Cmjohnson.EditedJan 19 2018, 12:30 PM
jcrespo moved this task from In progress to Blocked external/Not db team on the DBA board.

Chris, these 2 are ready to be unracked or whatever it is its end of life (after being wiped).

Cmjohnson moved this task from Backlog to Decommission on the ops-eqiad board.Jan 26 2018, 7:10 PM
RobH claimed this task.Feb 9 2018, 10:28 PM
RobH added a subscriber: Cmjohnson.
Addshore removed a subscriber: Addshore.Mar 23 2018, 4:42 PM

Change 428829 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/puppet@production] decommission db1029 and db1030

https://gerrit.wikimedia.org/r/428829

Change 428829 merged by Cmjohnson:
[operations/puppet@production] decommission db1029 and db1030

https://gerrit.wikimedia.org/r/428829

Cmjohnson moved this task from High Priority Task to Up next on the ops-eqiad board.
Cmjohnson updated the task description. (Show Details)
Cmjohnson updated the task description. (Show Details)May 7 2018, 5:46 PM
Cmjohnson moved this task from Up next to High Priority Task on the ops-eqiad board.
Marostegui reassigned this task from RobH to Cmjohnson.May 14 2018, 6:24 AM
Marostegui added a subscriber: RobH.

Assigning it to Chris to reflect current status

Cmjohnson closed this task as Resolved.Jun 26 2018, 4:44 PM
Cmjohnson updated the task description. (Show Details)